rootProject.name = "stateful-timeout"

include("ear", "ejb", "war")

pluginManagement {
    repositories {
        gradlePluginPortal()
    }
}

for (project in rootProject.children) {
    project.projectDir = file(project.name.replace("-", "/"))
    project.buildFileName = "${project.name}.gradle.kts"

    if (!project.projectDir.isDirectory) {
        throw IllegalArgumentException("Project directory ${project.projectDir} for project ${project.name} does not exist.")
    }
    if (!project.buildFile.isFile) {
        throw IllegalArgumentException("Build file ${project.buildFile} for project ${project.name} does not exist.")
    }
}
