plugins {
    id("io.spring.dependency-management") version "1.0.4.RELEASE"
}

allprojects {
    apply {
        plugin("io.spring.dependency-management")
    }

    dependencyManagement {
        imports {
            mavenBom("org.jboss.arquillian:arquillian-bom:1.1.13.Final")
            mavenBom("org.jboss.bom:jboss-eap-javaee7-with-tools:7.0.9.GA")
        }
    }

    repositories {
        jcenter()
        mavenCentral()
        mavenLocal()
        maven {
            name = "ga.redhat.com"
            url = uri("https://maven.repository.redhat.com/ga/")
        }
    }
}