plugins {
    `java-library`
}

tasks.test {
    systemProperty("env.jboss.cluster.path", System.getProperty("env.jboss.cluster.path"))
}

dependencies {
    compileOnly("org.jboss.spec.javax.ejb:jboss-ejb-api_3.2_spec")
    testCompile("org.jboss.spec.javax.ejb:jboss-ejb-api_3.2_spec")
    testCompile("junit:junit:4.12")
    testCompile("org.jboss.arquillian.junit:arquillian-junit-container")
    testCompile("org.jboss.arquillian.protocol:arquillian-protocol-servlet")
    testCompile("org.wildfly.arquillian:wildfly-arquillian-container-managed:2.0.0.Final")
    testCompile("org.jboss:jboss-ejb-client:2.1.8.Final-redhat-1")
    testCompile("org.jboss.remoting:jboss-remoting:4.0.25.Final-redhat-1")
    testCompile("org.jboss.logging:jul-to-slf4j-stub:1.0.1.Final-redhat-3")
    testCompile("ch.qos.logback:logback-classic:1.2.3")
}